# decodeScalarsInResponse | @coopenomics/sdk
Documentation for @coopenomics/sdk

# Function decodeScalarsInResponse

- decodeScalarsInResponse< O >(__namedParameters): any

- #### Type Parameters

  - O extends Operations

  #### Parameters

  - __namedParameters: {
    initialOp: keyof O ;
    initialZeusQuery: VType ;
    ops: O ;
    response: any;
    returns: ReturnTypesType ;
    scalars?: Record<string, undefined | ScalarResolver >;
    }

    - ##### initialOp: keyof O

    - ##### initialZeusQuery: VType

    - ##### ops: O

    - ##### response: any

    - ##### returns: ReturnTypesType

    - ##### `Optional` scalars?: Record<string, undefined | ScalarResolver >

  #### Returns any

  - Defined in components/sdk/src/zeus/index.ts:337